#! /usr/bin/python

import cv2

# imread reads image from the specified file
# cv2.CV_LOAD_IMAGE_GRAYSCALE is a switch to convert image into a grayscale
img = cv2.imread('./obrazek.jpg', cv2.CV_LOAD_IMAGE_GRAYSCALE)
  

# namedWindow creates a window with a name "okno"
cv2.namedWindow('okno')
# imshow displays an image "img" in the window named "okno"
cv2.imshow('okno', img)

# waits for 5 seconds or for a user to press a key
cv2.waitKey(5000)

# closes all the opencv windows 
cv2.destroyAllWindows()

# this solves a bug with windows that do not close properly
cv2.waitKey(1)
cv2.waitKey(1)
cv2.waitKey(1)
cv2.waitKey(1)

# Documentation
# http://docs.opencv.org/index.html
# http://docs.opencv.org/trunk/doc/py_tutorials/py_imgproc/py_histograms/py_histogram_equalization/py_histogram_equalization.html
# http://opencv-python-tutroals.readthedocs.org/en/latest/py_tutorials/py_imgproc/py_filtering/py_filtering.html
# https://opencv-python-tutroals.readthedocs.org/en/latest/py_tutorials/py_tutorials.html
# https://opencv-python-tutroals.readthedocs.org/en/latest/py_tutorials/py_imgproc/py_thresholding/py_thresholding.html#thresholding
# http://stackoverflow.com/questions/6116564/destroywindow-does-not-close-window-on-mac-using-python-and-opencv