#! /usr/bin/python

import cv2
import numpy as np

img = cv2.imread('./obrazek.jpg', cv2.CV_LOAD_IMAGE_GRAYSCALE)
  
cv2.namedWindow('original')
cv2.imshow('original', img)
cv2.waitKey(2000)

# Histogram equalization
equ = cv2.equalizeHist(img)
cv2.namedWindow('equalized')
cv2.imshow('equalized', equ)

# Sobel's edge detection
sbl = cv2.Sobel(img, -1, 1, 1)
cv2.namedWindow('edges')
cv2.imshow('edges', sbl)

# Buildin bluring filter
blr = cv2.blur(img, (5,5))
cv2.namedWindow('blure')
cv2.imshow('blure', blr)

# Convolution filtering
kernel = np.array([[-1.0, -1.0, -1.0], 
                   [-1.0,  9.0, -1.0], 
                   [-1.0, -1.0, -1.0]])
conv = cv2.filter2D(img, -1, kernel)
cv2.namedWindow('convolution')
cv2.imshow('convolution', conv)

cv2.waitKey(5000)
cv2.destroyAllWindows()
